#!/usr/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
import platform
import time
from setuphelpers import *

uninstallkey=[]


def install():

    versionsoft = control['version'].split('-',1)[0]

    for uninstall in installed_softwares('Scribus'):
        if  Version(uninstall['version']) < Version(versionsoft):
            print(u'remove old software')
            killalltasks('Scribus.exe')
            cmd = WAPT.uninstall_cmd(uninstall['key'])
            run(cmd)
            time.sleep(120)

    install_exe_if_needed('scribus-%s-windows.exe' % versionsoft,silentflags='/S',key='Scribus %s' % versionsoft,min_version=versionsoft,killbefore=['Scribus.exe'])

    remove_desktop_shortcut('Scribus %s' % versionsoft)



def update_package():

    for i in wgets('https://www.scribus.net/downloads/stable-branch/').splitlines():
        if "Current stable release: Scribus" in i:
            lastversion = i.split(' Scribus ')[1].split('<')[0]

    binaryfile = 'scribus-%s-windows.exe' % lastversion
    urlfile = 'https://netcologne.dl.sourceforge.net/project/scribus/scribus/%s/%s' % (lastversion,binaryfile)

    for exe in glob.glob('*.exe'):
        if exe != binaryfile:
            remove_file(exe)

    if not isfile(binaryfile):
        wget(urlfile,binaryfile)

    control.version = lastversion + '-0'
    control.save_control_to_wapt()

